Bug 1118086 - Unclear how to stop a deployment
Summary: Unclear how to stop a deployment
Keywords:
Status: CLOSED EOL
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: ruby193-rubygem-foreman-tasks
Version: 5.0 (RHEL 7)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: Installer
Assignee: Mike Burns
QA Contact: Omri Hochman
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-10 00:56 UTC by Lars Kellogg-Stedman
Modified: 2016-09-29 13:47 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-29 13:47:47 UTC


Attachments (Terms of Use)
Buttons. (4.39 KB, image/png)
2014-07-10 00:56 UTC, Lars Kellogg-Stedman
no flags Details

Description Lars Kellogg-Stedman 2014-07-10 00:56:55 UTC
Created attachment 916967 [details]
Buttons.

I wanted to stop an active deployment.  On the deployment progress screen, my options were (see attachment):

- Stop auto-reloading
- Resume
- Unlock
- Force Unlock

I *guess* that "Force Unlock" means "Stop," but is this something I should have to guess?

I think that on both the progress screen (and maybe on the deployment overview screen (/deployments/<N>), where the blue "Deploy in progress" button shows up) it would be possible to have a nice big red button that says, "Stop Deployment".

Comment 3 Petr Chalupa 2014-08-06 13:20:49 UTC
Please be aware that "Force Unlock" does not mean stop as we tried to describe in the modal window. It is a dangerous operation and it should be treated as such.

Stopping is not supported at the moment, it is planed though to add support for it.

Comment 4 Jaromir Coufal 2016-09-29 13:47:47 UTC
Closing list of bugs for RHEL OSP Installer since its support cycle has already ended [0]. If there is some bug closed by mistake, feel free to re-open.

For new deployments, please, use RHOSP director (starting with version 7).

-- Jaromir Coufal
-- Sr. Product Manager
-- Red Hat OpenStack Platform

[0] https://access.redhat.com/support/policy/updates/openstack/platform


Note You need to log in before you can comment on or make changes to this bug.